Package org.apache.sling.models.impl.via

# Class BeanPropertyViaProvider

java.lang.Object
org.apache.sling.models.impl.via.BeanPropertyViaProvider

All Implemented Interfaces:
  `org.apache.sling.models.spi.ViaProvider`

public class BeanPropertyViaProvider extends Object implements org.apache.sling.models.spi.ViaProvider

## Field Summary

### Fields inherited from interface org.apache.sling.models.spi.ViaProvider

`ORIGINAL`

## Constructor Summary

Constructors
Constructor
Description
`BeanPropertyViaProvider()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAdaptable(Object original, String value)`
`Class<? extends org.apache.sling.models.annotations.ViaProviderType>`
`getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeanPropertyViaProvider

public BeanPropertyViaProvider()

## Method Details

### getType

public Class<? extends org.apache.sling.models.annotations.ViaProviderType> getType()

Specified by:
  `getType` in interface `org.apache.sling.models.spi.ViaProvider`

### getAdaptable

public Object getAdaptable(Object original, String value)

Specified by:
  `getAdaptable` in interface `org.apache.sling.models.spi.ViaProvider`